Class | SOAP::Mapping::AttachmentFactory
In: | soap/attachment.rb
Parent: | SOAP::Mapping::Factory

### Methods

obj2soap soap2obj

### Public Instance methods

obj2soap(soap_class, obj, info, map)

[Source]

    # File soap/attachment.rb, line 89
        def obj2soap(soap_class, obj, info, map)
          soap_obj = soap_class.new(obj)
          mark_marshalled_obj(obj, soap_obj)
          soap_obj
        end

soap2obj(obj_class, node, info, map)

[Source]

    # File soap/attachment.rb, line 95
        def soap2obj(obj_class, node, info, map)
          obj = node.data
          mark_unmarshalled_obj(node, obj)
          return true, obj
        end

[Validate]